Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Interface QueryText

    public interface QueryText

This class assembles textual information of the XQuery package.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`static Object[]` | `ATTDUPL` XQST0040: Parsing exception.
`static String` | `BASX` BASX Error type.
`static Object[]` | `BOUNDS` XPST0003: Parsing exception.
`static Object[]` | `CALCEXPR` XPST0003: Parsing exception.
`static Object[]` | `CASTBOOL` FORG0001: Evaluation exception.
`static Object[]` | `CASTUNKNOWN` XPST0080: Parsing exception.
`static Object[]` | `CIRCMODULE` XQST0073: Parsing exception.
`static Object[]` | `CMPEXPR` XPST0003: Parsing exception.
`static Object[]` | `COLLDEF` FODC0002: Evaluation exception.
`static Object[]` | `COLLINV` FODC0002: Evaluation exception.
`static Object[]` | `COLLWHICH` XQST0076: Parsing exception.
`static Object[]` | `COMCLOSE` XPST0003: Parsing exception.
`static Object[]` | `COMINVALID` XQDY0072: Evaluation exception.
`static Object[]` | `COMPSELF` XPST0005: Parsing exception.
`static Object[]` | `CONDTYPE` FORG0006: Evaluation exception.
`static Object[]` | `CPICONT` XQDY0026: Evaluation exception.
`static Object[]` | `CPIINVAL` XQDY0041: Evaluation exception.
`static Object[]` | `CPIWRONG` XPTY0004: Typing exception.
`static Object[]` | `CPIXML` XQDY0064: Evaluation exception.
`static Object[]` | `CTXNODE` XPDY0050: Evaluation exception.
`static Object[]` | `DATECALC` FOCA0005: Evaluation exception.
`static Object[]` | `DATEFORMAT` FORG0001: Evaluation exception.
`static Object[]` | `DATERANGE` FORG0001: Evaluation exception.
`static Object[]` | `DATEZERO` FODT0002: Evaluation exception.
`static Object[]` | `DECLFUNC` XPST0003: Parsing exception.
`static Object[]` | `DECLINCOMPLETE` XPST0003: Parsing exception.
`static Object[]` | `DIVFLOW` FOAR0002: Evaluation exception.
`static Object[]` | `DIVZERO` FOAR0001: Evaluation exception.
`static Object[]` | `DOCERR` FODC0002: Evaluation exception.
`static Object[]` | `DUPLBASE` XQST0032: Parsing exception.
`static Object[]` | `DUPLBOUND` XQST0068: Parsing exception.
`static Object[]` | `DUPLCOLL` XQST0038: Parsing exception.
`static Object[]` | `DUPLCONS` XQST0067: Parsing exception.
`static Object[]` | `DUPLCOPYNS` XQST0055: Parsing exception.
`static Object[]` | `DUPLMODULE` XQST0047: Parsing exception.
`static Object[]` | `DUPLNS` XQST0066: Parsing exception.
`static Object[]` | `DUPLNSDECL` XQST0033: Parsing exception.
`static Object[]` | `DUPLNSDEF` XQST0071: Parsing exception.
`static Object[]` | `DUPLORD` XQST0065: Parsing exception.
`static Object[]` | `DUPLORDEMP` XQST0069: Parsing exception.
`static Object[]` | `DUPLREVAL` XUST0003: Parsing exception.
`static Object[]` | `EMPTYSEQOCC` XPST0003: Parsing exception.
`static Object[]` | `ENTINVALID` XPST0003: Parsing exception.
`static Object[]` | `EVALNODES` XPTY0019: Typing exception.
`static Object[]` | `EVALNODESVALS` XPTY0018: Typing exception.
`static Object[]` | `EVALUNARY` XPST0003: Evaluation exception.
`static Object[]` | `EXONE` FORG0005: Evaluation exception.
`static Object[]` | `EXPREMPTY` XPST0003: Parsing exception.
`static Object[]` | `FLWORORD` XPST0003: Parsing exception.
`static Object[]` | `FLWORRET` XPST0003: Parsing exception.
`static Object[]` | `FLWORWHERE` XPST0003: Parsing exception.
`static String` | `FOAR` FOAR Error type.
`static String` | `FOCA` FOCA Error type.
`static String` | `FOCH` FOCH Error type.
`static String` | `FODC` FODC Error type.
`static String` | `FODT` FODT Error type.
`static String` | `FOER` FOER Error type.
`static String` | `FONS` FONS Error type.
`static String` | `FORG` FORG Error type.
`static String` | `FORX` FORX Error type.
`static String` | `FOUP` FOTY Error type.
`static Object[]` | `FTDUP` FTST0019: Parsing exception.
`static String` | `FTDY` FTDY Error type.
`static Object[]` | `FTFZWC` FTST0000: Parsing exception.
`static Object[]` | `FTIGNORE` FTST0007: Parsing exception.
`static Object[]` | `FTLAN` FTST0009: Parsing exception.
`static Object[]` | `FTMATCH` XPST0003: Parsing exception.
`static Object[]` | `FTMILD` FTDY0017: Evaluation exception.
`static Object[]` | `FTRANGE` XPST0003: Parsing exception.
`static Object[]` | `FTREG` FTDY0020: Evaluation exception.
`static String` | `FTST` FTST Error type.
`static Object[]` | `FTSTOP` XPST0003: Parsing exception.
`static Object[]` | `FTWEIGHT` FTDY0016: Evaluation exception.
`static Object[]` | `FUNCAST` FORG0001: Evaluation exception.
`static Object[]` | `FUNCDEFINED` XQST0034: Parsing exception.
`static Object[]` | `FUNCDUPL` XQST0039: Parsing exception.
`static Object[]` | `FUNCJAVA` XPST0017: Parsing exception.
`static Object[]` | `FUNCMISS` XPST0003: Parsing exception.
`static Object[]` | `FUNCMP` FORG0006: Evaluation exception.
`static Object[]` | `FUNCRES` XQST0045: Parsing exception.
`static Object[]` | `FUNCTYPE` XPST0017: Parsing Exception.
`static Object[]` | `FUNCUNKNOWN` XPST0017: Parsing exception.
`static Object[]` | `FUNDUR` FORG0006: Evaluation exception.
`static String` | `FUNERR1` FOER0000: Evaluation exception.
`static Object[]` | `FUNJAVA` FORG0006: Evaluation exception.
`static Object[]` | `FUNNONS` XQST0060: Parsing exception.
`static Object[]` | `FUNNUM` FORG0006: Evaluation exception.
`static Object[]` | `FUNNUMDUR` FORG0006: Evaluation exception.
`static Object[]` | `FUNREGREP` FORX0004: Evaluation exception.
`static Object[]` | `FUNSIMILAR` XPST0017: Parsing exception.
`static Object[]` | `FUNZONE` FORG0008: Function exception.
`static Object[]` | `GRPBY` XPST0003: Parsing exception.
`static Object[]` | `IDDOC` FODC0001: Evaluation exception.
`static Object[]` | `IFPAR` XPST0003: Parsing exception.
`static Object[]` | `IMPLCOL` FOCH0002: Evaluation exception.
`static Object[]` | `IMPLSCHEMA` XQST0009: Parsing exception.
`static Object[]` | `IMPLVAL` XQST0075: Parsing exception.
`static Object[]` | `INCOMPLETE` XPST0003: Parsing exception.
`static Object[]` | `INTRANGE` FOCA0003: Evaluation exception.
`static Object[]` | `INVAL` XQDY0074: Evaluation exception.
`static Object[]` | `INVALIDZONE` FORG0001: Evaluation exception.
`static Object[]` | `INVALUE` FOCA0002: Evaluation exception.
`static Object[]` | `INVALZONE` FODT0003: Evaluation exception.
`static Object[]` | `INVCODE` FOCH0001: Evaluation exception.
`static Object[]` | `INVCOLL` XQST0076: Parsing exception.
`static Object[]` | `INVDOC` FODC0005: Evaluation exception.
`static Object[]` | `MODNS` XQST0047: Parsing exception.
`static Object[]` | `NAMERES` XQST0045: Parsing exception.
`static Object[]` | `NAMEWRONG` XPTY0004: Typing exception.
`static Object[]` | `NOATTALL` XQTY0024: Parsing exception.
`static Object[]` | `NOATTNAME` XPST0003: Parsing exception.
`static Object[]` | `NOCLOSING` XPST0003: Parsing exception.
`static Object[]` | `NOCOLL` FODC0004: Evaluation exception.
`static Object[]` | `NOCOMCONS` XPST0003: Parsing exception.
`static Object[]` | `NODB` BASX0003: Evaluation exception.
`static Object[]` | `NODESPATH` XPTY0019: Typing exception.
`static Object[]` | `NODOC` FODC0002: Evaluation exception.
`static Object[]` | `NODOCCONS` XPST0003: Parsing exception.
`static Object[]` | `NOENCLEXPR` XPST0003: Parsing exception.
`static Object[]` | `NOEXPR` XPST0003: Parsing exception.
`static Object[]` | `NOFOR` XPST0003: Parsing exception.
`static Object[]` | `NOFUNBODY` XPST0003: Parsing exception.
`static Object[]` | `NOIDX` BASX0001: Evaluation exception.
`static Object[]` | `NOIF` XPST0003: Parsing exception.
`static Object[]` | `NOLET` XPST0003: Parsing exception.
`static Object[]` | `NOLOCSTEP` XPST0003: Parsing exception.
`static Object[]` | `NOMODULE` XQST0059: Parsing exception.
`static Object[]` | `NOMODULEFILE` XQST0059: Parsing exception.
`static Object[]` | `NOPRAGMA` XQST0079: Parsing exception.
`static Object[]` | `NOPRE` BASX0003: Evaluation exception.
`static Object[]` | `NOQUOTE` XPST0003: Parsing exception.
`static Object[]` | `NORETURN` XPST0003: Parsing exception.
`static Object[]` | `NOREVAL` XUST0026: Parsing exception.
`static Object[]` | `NORMUNI` FOCH0003: Evaluation exception.
`static Object[]` | `NOSOME` XPST0003: Parsing exception.
`static Object[]` | `NOSTOPFILE` FTST0008: Parsing exception.
`static Object[]` | `NOTAGNAME` XPST0003: Parsing exception.
`static Object[]` | `NOTHES` FTST0018: Parsing exception.
`static Object[]` | `NOTREAT` XPDY0050: Evaluation exception.
`static Object[]` | `NOTREATS` XPDY0050: Evaluation exception.
`static Object[]` | `NOTXTCONS` XPST0003: Parsing exception.
`static Object[]` | `NOTYPE` XPST0003: Parsing exception.
`static Object[]` | `NOTYPESWITCH` XPST0003: Parsing exception.
`static Object[]` | `NOVALIDATE` XPST0003: Parsing exception.
`static Object[]` | `NOVARNAME` XPST0003: Parsing exception.
`static Object[]` | `NOWHERE` XPST0003: Parsing exception.
`static Object[]` | `NOXMLNS` XQST0070: Parsing exception.
`static Object[]` | `NSATTCONS` XQDY0044: Evaluation exception.
`static Object[]` | `NSCONS` XQST0022: Parsing exception.
`static Object[]` | `NSDECL` FONS0004: Evaluation exception.
`static Object[]` | `NSDEF` XQST0070: Parsing exception.
`static Object[]` | `NSEMPTY` XQST0085: Parsing exception.
`static Object[]` | `NSEMPTYURI` XQST0085: Parsing exception.
`static Object[]` | `NSMISS` XPST0081: Parsing exception.
`static Object[]` | `NSMODURI` XQST0088: Parsing exception.
`static Object[]` | `NUMBERINC` XPST0003: Parsing exception.
`static Object[]` | `NUMBERWS` XPST0003: Parsing exception.
`static Object[]` | `ONEMORE` FORG0004: Evaluation exception.
`static String` | `OPTATVINDEX` Optimization info.
`static String` | `OPTBIND` Optimization info.
`static String` | `OPTCHILD` Optimization info.
`static String` | `OPTDESC` Optimization info.
`static String` | `OPTEMPTY` Optimization info.
`static String` | `OPTFALSE` Optimization info.
`static String` | `OPTFLWOR` Optimization info.
`static String` | `OPTFTXINDEX` Optimization info.
`static String` | `OPTNAME` Optimization info.
`static String` | `OPTNOINDEX` Optimization info.
`static String` | `OPTPRE` Optimization info.
`static String` | `OPTRED` Optimization info.
`static String` | `OPTRNGINDEX` Optimization info.
`static String` | `OPTSIMPLE` Optimization info.
`static String` | `OPTTEXT` Optimization info.
`static String` | `OPTTRUE` Optimization info.
`static String` | `OPTTXTINDEX` Optimization info.
`static String` | `OPTVAR` Optimization info.
`static String` | `OPTWHERE` Optimization info.
`static String` | `OPTWRITE` Optimization info.
`static Object[]` | `ORDERBY` XPST0003: Parsing exception.
`static Object[]` | `PATHMISS` XPST0003: Parsing exception.
`static Object[]` | `PIWRONG` XPST0003: Parsing exception.
`static Object[]` | `PIXML` XPST0003: Parsing exception.
`static Object[]` | `PRAGMAINCOMPLETE` XPST0003: Parsing exception.
`static Object[]` | `PREDMISSING` XPST0003: Parsing exception.
`static Object[]` | `PREUNKNOWN` XPST0081: Parsing exception.
`static Object[]` | `QNAMEINV` XPQST0003: Evaluation exception.
`static Object[]` | `QNMINV` FORG0001: Evaluation exception.
`static Object[]` | `QUERYEMPTY` XPST0003: Parsing exception.
`static Object[]` | `QUERYEND` XPST0003: Parsing exception.
`static Object[]` | `QUERYINV` XPST0003: Parsing exception.
`static Object[]` | `RANGE` FOAR0002: Evaluation exception.
`static Object[]` | `REGERR` FORX0004: Evaluation exception.
`static Object[]` | `REGINV` FORX0002: Evaluation exception.
`static Object[]` | `REGMOD` FORX0001: Evaluation exception.
`static Object[]` | `REGROUP` FORX0003: Evaluation exception.
`static Object[]` | `TAGWRONG` XPST0003: Parsing exception.
`static Object[]` | `TESTINCOMPLETE` XPST0003: Parsing exception.
`static Object[]` | `TESTINVALID` XPST0003: Parsing exception.
`static Object[]` | `THESRNG` FTST0000: Parsing exception.
`static Object[]` | `TYPECMP` FORG0006: Evaluation exception.
`static Object[]` | `TYPEINVALID` XPST0003: Parsing exception.
`static Object[]` | `TYPEPAR` XPST0003: Parsing exception.
`static Object[]` | `TYPEUNKNOWN` XPST0051: Parsing exception.
`static Object[]` | `UNDOC` FODC0002: Evaluation exception.
`static Object[]` | `UPATTDUPL` XUDY0021: XQuery Update dynamic exception.
`static Object[]` | `UPATTELM` XUDY0030: XQuery Update dynamic exception.
`static Object[]` | `UPATTELM2` XUTY0022: XQuery Update type exception.
`static Object[]` | `UPCOPYMULT` XUTY0013: XQuery Update type exception.
`static Object[]` | `UPEXPECTF` XUST0002: Parsing exception.
`static Object[]` | `UPEXPECTT` XUST0002: Parsing exception.
`static Object[]` | `UPFOEMPT` FOUP0001: Evaluation exception.
`static Object[]` | `UPFOTYPE` FOUP0001: Evaluation exception.
`static Object[]` | `UPFOURI` FOUP0002: Evaluation exception.
`static Object[]` | `UPFUNCTYPE` XUST0028: Parsing exception.
`static Object[]` | `UPMULTREN` XUDY0015: XQuery Update dynamic exception.
`static Object[]` | `UPMULTREPL` XUDY0016: XQuery Update dynamic exception.
`static Object[]` | `UPMULTREPV` XUDY0017: XQuery Update dynamic exception.
`static Object[]` | `UPNOATTRPER` XUTY0004: XQuery Update type exception.
`static Object[]` | `UPNOPAR` XUDY0009: XQuery Update dynamic exception.
`static Object[]` | `UPNOPAR2` XUDY0021: XQuery Update dynamic exception.
`static Object[]` | `UPNOT` XUST0001: Parsing exception.
`static Object[]` | `UPNOTCOPIED` XUDY0014: XQuery Update dynamic exception.
`static Object[]` | `UPNSCONFL` XUDY0023: XQuery Update dynamic exception.
`static Object[]` | `UPNSCONFL2` XUDY0024: XQuery Update dynamic exception.
`static Object[]` | `UPPAREMPTY` XUDY0029: XQuery Update dynamic exception.
`static Object[]` | `UPPUTERR` FOUP0002: Evaluation exception.
`static Object[]` | `UPSEQEMP` XUDY0027: XQuery Update dynamic exception.
`static Object[]` | `UPTRGDELEMPT` XUTY0007: XQuery Update type exception.
`static Object[]` | `UPTRGMULT` XUTY0008: XQuery Update type exception.
`static Object[]` | `UPTRGTYP` XUTY0005: XQuery Update type exception.
`static Object[]` | `UPTRGTYP2` XUTY0006: XQuery Update type exception.
`static Object[]` | `UPURIDUP` XUDY0031: XQuery Update dynamic exception.
`static Object[]` | `UPWRATTR` XUTY0011: XQuery Update type exception.
`static Object[]` | `UPWRELM` XUTY0010: XQuery Update type exception.
`static Object[]` | `UPWRTRGTYP` XUTY0012: XQuery Update type exception.
`static Object[]` | `URIINV` FORG0002: Evaluation exception.
`static Object[]` | `VARDEFINE` XQST0049: Parsing exception.
`static Object[]` | `VARDEFINED` XQST0089: Parsing exception.
`static Object[]` | `VAREMPTY` XPDY0002: Parsing exception.
`static Object[]` | `VARMISSING` XQST0054: Parsing exception.
`static Object[]` | `VARNOTDEFINED` XPST0008: Parsing exception.
`static Object[]` | `WHICHIDX` BASX0002: Evaluation exception.
`static Object[]` | `WRONGCHAR` XPST0003: Parsing exception.
`static Object[]` | `WRONGEND` XPST0003: Parsing exception.
`static Object[]` | `WRONGMODULE` XQST0059: Parsing exception.
`static String` | `XDATE` Example for a Date format.
`static String` | `XDAY` Example for a Day format.
`static String` | `XDTD` Example for a DayTimeDuration format.
`static String` | `XDTM` Example for a DateTime format.
`static String` | `XDURR` Example for a Duration format.
`static String` | `XMDA` Example for a MonthDay format.
`static String` | `XMON` Example for a Month format.
`static Object[]` | `XPARGS` XPST0017: Parsing Exception.
`static Object[]` | `XPATT` XPTY0004: Typing exception.
`static Object[]` | `XPCAST` XPTY0004: Typing exception.
`static Object[]` | `XPDUR` XPTY0004: Typing exception.
`static String` | `XPDY` XPDY Error type.
`static Object[]` | `XPEMPTY` XPTY0004: Typing exception.
`static Object[]` | `XPEMPTYNUM` XPTY0004: Typing exception.
`static Object[]` | `XPEMPTYPE` XPTY0004: Typing Exception.
`static Object[]` | `XPINVCAST` XPTY0004: Typing exception.
`static Object[]` | `XPINVNAME` XPTY0004: Typing exception.
`static Object[]` | `XPNAME` XPTY0004: Typing exception.
`static Object[]` | `XPNOCTX` XPDY0002: Evaluation Exception.
`static Object[]` | `XPSEQ` XPTY0004: Typing exception.
`static Object[]` | `XPSORT` XPTY0004: Typing exception.
`static String` | `XPST` XPST Error type.
`static Object[]` | `XPSTACK` XQST0054: Parsing exception.
`static String` | `XPTY` XPTY Error type.
`static Object[]` | `XPTYPE` XPTY0004: Typing Exception.
`static Object[]` | `XPTYPECMP` XPTY0004: Typing Exception.
`static Object[]` | `XPTYPENUM` XPTY0004: Typing exception.
`static String` | `XQDY` XQDY Error type.
`static String` | `XQST` XQST Error type.
`static String` | `XQTY` XQTY Error type.
`static Object[]` | `XQUERYENC2` XQST0087: Parsing exception.
`static Object[]` | `XQUERYVER` XQST0031: Parsing exception.
`static String` | `XTIME` Example for a Time format.
`static String` | `XUDY` XUDY Error type.
`static String` | `XUST` XQUS Error type.
`static String` | `XUTY` XUTY Error type.
`static String` | `XYEA` Example for a Year format.
`static String` | `XYMD` Example for a YearMonthDuration format.
`static String` | `XYMO` Example for a YearMonth format.
`static Object[]` | `ZEROONE` FORG0003: Evaluation exception.

Field Detail

### BASX

    static final String BASX

  BASX Error type.

  See Also:
    Constant Field Values

### FOAR

    static final String FOAR

  FOAR Error type.

  See Also:
    Constant Field Values

### FOCA

    static final String FOCA

  FOCA Error type.

  See Also:
    Constant Field Values

### FOCH

    static final String FOCH

  FOCH Error type.

  See Also:
    Constant Field Values

### FODC

    static final String FODC

  FODC Error type.

  See Also:
    Constant Field Values

### FODT

    static final String FODT

  FODT Error type.

  See Also:
    Constant Field Values

### FOER

    static final String FOER

  FOER Error type.

  See Also:
    Constant Field Values

### FONS

    static final String FONS

  FONS Error type.

  See Also:
    Constant Field Values

### FORG

    static final String FORG

  FORG Error type.

  See Also:
    Constant Field Values

### FORX

    static final String FORX

  FORX Error type.

  See Also:
    Constant Field Values

### FOUP

    static final String FOUP

  FOTY Error type.

  See Also:
    Constant Field Values

### FTDY

    static final String FTDY

  FTDY Error type.

  See Also:
    Constant Field Values

### FTST

    static final String FTST

  FTST Error type.

  See Also:
    Constant Field Values

### XPDY

    static final String XPDY

  XPDY Error type.

  See Also:
    Constant Field Values

### XPST

    static final String XPST

  XPST Error type.

  See Also:
    Constant Field Values

### XPTY

    static final String XPTY

  XPTY Error type.

  See Also:
    Constant Field Values

### XQDY

    static final String XQDY

  XQDY Error type.

  See Also:
    Constant Field Values

### XQST

    static final String XQST

  XQST Error type.

  See Also:
    Constant Field Values

### XQTY

    static final String XQTY

  XQTY Error type.

  See Also:
    Constant Field Values

### XUDY

    static final String XUDY

  XUDY Error type.

  See Also:
    Constant Field Values

### XUST

    static final String XUST

  XQUS Error type.

  See Also:
    Constant Field Values

### XUTY

    static final String XUTY

  XUTY Error type.

  See Also:
    Constant Field Values

### NOIDX

    static final Object[] NOIDX

  BASX0001: Evaluation exception.

### WHICHIDX

    static final Object[] WHICHIDX

  BASX0002: Evaluation exception.

### NODB

    static final Object[] NODB

  BASX0003: Evaluation exception.

### NOPRE

    static final Object[] NOPRE

  BASX0003: Evaluation exception.

### DIVZERO

    static final Object[] DIVZERO

  FOAR0001: Evaluation exception.

### DIVFLOW

    static final Object[] DIVFLOW

  FOAR0002: Evaluation exception.

### RANGE

    static final Object[] RANGE

  FOAR0002: Evaluation exception.

### INVALUE

    static final Object[] INVALUE

  FOCA0002: Evaluation exception.

### INTRANGE

    static final Object[] INTRANGE

  FOCA0003: Evaluation exception.

### DATECALC

    static final Object[] DATECALC

  FOCA0005: Evaluation exception.

### INVCODE

    static final Object[] INVCODE

  FOCH0001: Evaluation exception.

### IMPLCOL

    static final Object[] IMPLCOL

  FOCH0002: Evaluation exception.

### NORMUNI

    static final Object[] NORMUNI

  FOCH0003: Evaluation exception.

### IDDOC

    static final Object[] IDDOC

  FODC0001: Evaluation exception.

### UNDOC

    static final Object[] UNDOC

  FODC0002: Evaluation exception.

### COLLINV

    static final Object[] COLLINV

  FODC0002: Evaluation exception.

### COLLDEF

    static final Object[] COLLDEF

  FODC0002: Evaluation exception.

### NODOC

    static final Object[] NODOC

  FODC0002: Evaluation exception.

### DOCERR

    static final Object[] DOCERR

  FODC0002: Evaluation exception.

### NOCOLL

    static final Object[] NOCOLL

  FODC0004: Evaluation exception.

### INVDOC

    static final Object[] INVDOC

  FODC0005: Evaluation exception.

### DATEZERO

    static final Object[] DATEZERO

  FODT0002: Evaluation exception.

### INVALZONE

    static final Object[] INVALZONE

  FODT0003: Evaluation exception.

### FUNERR1

    static final String FUNERR1

  FOER0000: Evaluation exception.

  See Also:
    Constant Field Values

### NSDECL

    static final Object[] NSDECL

  FONS0004: Evaluation exception.

### INVALIDZONE

    static final Object[] INVALIDZONE

  FORG0001: Evaluation exception.

### CASTBOOL

    static final Object[] CASTBOOL

  FORG0001: Evaluation exception.

### FUNCAST

    static final Object[] FUNCAST

  FORG0001: Evaluation exception.

### DATERANGE

    static final Object[] DATERANGE

  FORG0001: Evaluation exception.

### DATEFORMAT

    static final Object[] DATEFORMAT

  FORG0001: Evaluation exception.

### QNMINV

    static final Object[] QNMINV

  FORG0001: Evaluation exception.

### URIINV

    static final Object[] URIINV

  FORG0002: Evaluation exception.

### ZEROONE

    static final Object[] ZEROONE

  FORG0003: Evaluation exception.

### ONEMORE

    static final Object[] ONEMORE

  FORG0004: Evaluation exception.

### EXONE

    static final Object[] EXONE

  FORG0005: Evaluation exception.

### FUNCMP

    static final Object[] FUNCMP

  FORG0006: Evaluation exception.

### CONDTYPE

    static final Object[] CONDTYPE

  FORG0006: Evaluation exception.

### FUNNUMDUR

    static final Object[] FUNNUMDUR

  FORG0006: Evaluation exception.

### FUNNUM

    static final Object[] FUNNUM

  FORG0006: Evaluation exception.

### FUNDUR

    static final Object[] FUNDUR

  FORG0006: Evaluation exception.

### TYPECMP

    static final Object[] TYPECMP

  FORG0006: Evaluation exception.

### FUNJAVA

    static final Object[] FUNJAVA

  FORG0006: Evaluation exception.

### FUNZONE

    static final Object[] FUNZONE

  FORG0008: Function exception.

### REGMOD

    static final Object[] REGMOD

  FORX0001: Evaluation exception.

### REGINV

    static final Object[] REGINV

  FORX0002: Evaluation exception.

### REGROUP

    static final Object[] REGROUP

  FORX0003: Evaluation exception.

### FUNREGREP

    static final Object[] FUNREGREP

  FORX0004: Evaluation exception.

### REGERR

    static final Object[] REGERR

  FORX0004: Evaluation exception.

### UPFOTYPE

    static final Object[] UPFOTYPE

  FOUP0001: Evaluation exception.

### UPFOEMPT

    static final Object[] UPFOEMPT

  FOUP0001: Evaluation exception.

### UPFOURI

    static final Object[] UPFOURI

  FOUP0002: Evaluation exception.

### UPPUTERR

    static final Object[] UPPUTERR

  FOUP0002: Evaluation exception.

### FTWEIGHT

    static final Object[] FTWEIGHT

  FTDY0016: Evaluation exception.

### FTMILD

    static final Object[] FTMILD

  FTDY0017: Evaluation exception.

### FTREG

    static final Object[] FTREG

  FTDY0020: Evaluation exception.

### FTFZWC

    static final Object[] FTFZWC

  FTST0000: Parsing exception.

### THESRNG

    static final Object[] THESRNG

  FTST0000: Parsing exception.

### FTIGNORE

    static final Object[] FTIGNORE

  FTST0007: Parsing exception.

### NOSTOPFILE

    static final Object[] NOSTOPFILE

  FTST0008: Parsing exception.

### FTLAN

    static final Object[] FTLAN

  FTST0009: Parsing exception.

### NOTHES

    static final Object[] NOTHES

  FTST0018: Parsing exception.

### FTDUP

    static final Object[] FTDUP

  FTST0019: Parsing exception.

### XPNOCTX

    static final Object[] XPNOCTX

  XPDY0002: Evaluation Exception.

### CTXNODE

    static final Object[] CTXNODE

  XPDY0050: Evaluation exception.

### NOTREAT

    static final Object[] NOTREAT

  XPDY0050: Evaluation exception.

### NOTREATS

    static final Object[] NOTREATS

  XPDY0050: Evaluation exception.

### QUERYEMPTY

    static final Object[] QUERYEMPTY

  XPST0003: Parsing exception.

### QUERYINV

    static final Object[] QUERYINV

  XPST0003: Parsing exception.

### NOQUOTE

    static final Object[] NOQUOTE

  XPST0003: Parsing exception.

### NOVALIDATE

    static final Object[] NOVALIDATE

  XPST0003: Parsing exception.

### NUMBERWS

    static final Object[] NUMBERWS

  XPST0003: Parsing exception.

### NUMBERINC

    static final Object[] NUMBERINC

  XPST0003: Parsing exception.

### QUERYEND

    static final Object[] QUERYEND

  XPST0003: Parsing exception.

### CMPEXPR

    static final Object[] CMPEXPR

  XPST0003: Parsing exception.

### NOTAGNAME

    static final Object[] NOTAGNAME

  XPST0003: Parsing exception.

### NOATTNAME

    static final Object[] NOATTNAME

  XPST0003: Parsing exception.

### NOLOCSTEP

    static final Object[] NOLOCSTEP

  XPST0003: Parsing exception.

### NOEXPR

    static final Object[] NOEXPR

  XPST0003: Parsing exception.

### WRONGCHAR

    static final Object[] WRONGCHAR

  XPST0003: Parsing exception.

### WRONGEND

    static final Object[] WRONGEND

  XPST0003: Parsing exception.

### ENTINVALID

    static final Object[] ENTINVALID

  XPST0003: Parsing exception.

### INCOMPLETE

    static final Object[] INCOMPLETE

  XPST0003: Parsing exception.

### EVALUNARY

    static final Object[] EVALUNARY

  XPST0003: Evaluation exception.

### PATHMISS

    static final Object[] PATHMISS

  XPST0003: Parsing exception.

### DECLINCOMPLETE

    static final Object[] DECLINCOMPLETE

  XPST0003: Parsing exception.

### DECLFUNC

    static final Object[] DECLFUNC

  XPST0003: Parsing exception.

### PREDMISSING

    static final Object[] PREDMISSING

  XPST0003: Parsing exception.

### NOVARNAME

    static final Object[] NOVARNAME

  XPST0003: Parsing exception.

### TAGWRONG

    static final Object[] TAGWRONG

  XPST0003: Parsing exception.

### PIWRONG

    static final Object[] PIWRONG

  XPST0003: Parsing exception.

### NOENCLEXPR

    static final Object[] NOENCLEXPR

  XPST0003: Parsing exception.

### NODOCCONS

    static final Object[] NODOCCONS

  XPST0003: Parsing exception.

### NOTXTCONS

    static final Object[] NOTXTCONS

  XPST0003: Parsing exception.

### NOCOMCONS

    static final Object[] NOCOMCONS

  XPST0003: Parsing exception.

### NOFUNBODY

    static final Object[] NOFUNBODY

  XPST0003: Parsing exception.

### FUNCMISS

    static final Object[] FUNCMISS

  XPST0003: Parsing exception.

### TYPEINVALID

    static final Object[] TYPEINVALID

  XPST0003: Parsing exception.

### NOTYPESWITCH

    static final Object[] NOTYPESWITCH

  XPST0003: Parsing exception.

### TYPEPAR

    static final Object[] TYPEPAR

  XPST0003: Parsing exception.

### PRAGMAINCOMPLETE

    static final Object[] PRAGMAINCOMPLETE

  XPST0003: Parsing exception.

### TESTINCOMPLETE

    static final Object[] TESTINCOMPLETE

  XPST0003: Parsing exception.

### CALCEXPR

    static final Object[] CALCEXPR

  XPST0003: Parsing exception.

### NORETURN

    static final Object[] NORETURN

  XPST0003: Parsing exception.

### NOWHERE

    static final Object[] NOWHERE

  XPST0003: Parsing exception.

### ORDERBY

    static final Object[] ORDERBY

  XPST0003: Parsing exception.

### GRPBY

    static final Object[] GRPBY

  XPST0003: Parsing exception.

### FLWORWHERE

    static final Object[] FLWORWHERE

  XPST0003: Parsing exception.

### FLWORORD

    static final Object[] FLWORORD

  XPST0003: Parsing exception.

### FLWORRET

    static final Object[] FLWORRET

  XPST0003: Parsing exception.

### NOSOME

    static final Object[] NOSOME

  XPST0003: Parsing exception.

### IFPAR

    static final Object[] IFPAR

  XPST0003: Parsing exception.

### NOIF

    static final Object[] NOIF

  XPST0003: Parsing exception.

### NOFOR

    static final Object[] NOFOR

  XPST0003: Parsing exception.

### NOLET

    static final Object[] NOLET

  XPST0003: Parsing exception.

### NOCLOSING

    static final Object[] NOCLOSING

  XPST0003: Parsing exception.

### COMCLOSE

    static final Object[] COMCLOSE

  XPST0003: Parsing exception.

### EXPREMPTY

    static final Object[] EXPREMPTY

  XPST0003: Parsing exception.

### NOTYPE

    static final Object[] NOTYPE

  XPST0003: Parsing exception.

### PIXML

    static final Object[] PIXML

  XPST0003: Parsing exception.

### EMPTYSEQOCC

    static final Object[] EMPTYSEQOCC

  XPST0003: Parsing exception.

### TESTINVALID

    static final Object[] TESTINVALID

  XPST0003: Parsing exception.

### BOUNDS

    static final Object[] BOUNDS

  XPST0003: Parsing exception.

### QNAMEINV

    static final Object[] QNAMEINV

  XPQST0003: Evaluation exception.

### FTRANGE

    static final Object[] FTRANGE

  XPST0003: Parsing exception.

### FTSTOP

    static final Object[] FTSTOP

  XPST0003: Parsing exception.

### FTMATCH

    static final Object[] FTMATCH

  XPST0003: Parsing exception.

### COMPSELF

    static final Object[] COMPSELF

  XPST0005: Parsing exception.

### VARNOTDEFINED

    static final Object[] VARNOTDEFINED

  XPST0008: Parsing exception.

### XPARGS

    static final Object[] XPARGS

  XPST0017: Parsing Exception.

### FUNSIMILAR

    static final Object[] FUNSIMILAR

  XPST0017: Parsing exception.

### FUNCTYPE

    static final Object[] FUNCTYPE

  XPST0017: Parsing Exception.

### FUNCUNKNOWN

    static final Object[] FUNCUNKNOWN

  XPST0017: Parsing exception.

### FUNCJAVA

    static final Object[] FUNCJAVA

  XPST0017: Parsing exception.

### TYPEUNKNOWN

    static final Object[] TYPEUNKNOWN

  XPST0051: Parsing exception.

### CASTUNKNOWN

    static final Object[] CASTUNKNOWN

  XPST0080: Parsing exception.

### PREUNKNOWN

    static final Object[] PREUNKNOWN

  XPST0081: Parsing exception.

### NSMISS

    static final Object[] NSMISS

  XPST0081: Parsing exception.

### XPSORT

    static final Object[] XPSORT

  XPTY0004: Typing exception.

### XPSEQ

    static final Object[] XPSEQ

  XPTY0004: Typing exception.

### XPEMPTY

    static final Object[] XPEMPTY

  XPTY0004: Typing exception.

### XPINVCAST

    static final Object[] XPINVCAST

  XPTY0004: Typing exception.

### XPCAST

    static final Object[] XPCAST

  XPTY0004: Typing exception.

### XPTYPE

    static final Object[] XPTYPE

  XPTY0004: Typing Exception.

### XPEMPTYPE

    static final Object[] XPEMPTYPE

  XPTY0004: Typing Exception.

### XPEMPTYNUM

    static final Object[] XPEMPTYNUM

  XPTY0004: Typing exception.

### XPDUR

    static final Object[] XPDUR

  XPTY0004: Typing exception.

### XPTYPECMP

    static final Object[] XPTYPECMP

  XPTY0004: Typing Exception.

### XPTYPENUM

    static final Object[] XPTYPENUM

  XPTY0004: Typing exception.

### XPINVNAME

    static final Object[] XPINVNAME

  XPTY0004: Typing exception.

### XPNAME

    static final Object[] XPNAME

  XPTY0004: Typing exception.

### XPATT

    static final Object[] XPATT

  XPTY0004: Typing exception.

### CPIWRONG

    static final Object[] CPIWRONG

  XPTY0004: Typing exception.

### NAMEWRONG

    static final Object[] NAMEWRONG

  XPTY0004: Typing exception.

### XDATE

    static final String XDATE

  Example for a Date format.

  See Also:
    Constant Field Values

### XTIME

    static final String XTIME

  Example for a Time format.

  See Also:
    Constant Field Values

### XDTM

    static final String XDTM

  Example for a DateTime format.

  See Also:
    Constant Field Values

### XDTD

    static final String XDTD

  Example for a DayTimeDuration format.

  See Also:
    Constant Field Values

### XYMD

    static final String XYMD

  Example for a YearMonthDuration format.

  See Also:
    Constant Field Values

### XDURR

    static final String XDURR

  Example for a Duration format.

  See Also:
    Constant Field Values

### XYMO

    static final String XYMO

  Example for a YearMonth format.

  See Also:
    Constant Field Values

### XYEA

    static final String XYEA

  Example for a Year format.

  See Also:
    Constant Field Values

### XMDA

    static final String XMDA

  Example for a MonthDay format.

  See Also:
    Constant Field Values

### XDAY

    static final String XDAY

  Example for a Day format.

  See Also:
    Constant Field Values

### XMON

    static final String XMON

  Example for a Month format.

  See Also:
    Constant Field Values

### EVALNODESVALS

    static final Object[] EVALNODESVALS

  XPTY0018: Typing exception.

### EVALNODES

    static final Object[] EVALNODES

  XPTY0019: Typing exception.

### NODESPATH

    static final Object[] NODESPATH

  XPTY0019: Typing exception.

### VAREMPTY

    static final Object[] VAREMPTY

  XPDY0002: Parsing exception.

### CPICONT

    static final Object[] CPICONT

  XQDY0026: Evaluation exception.

### CPIINVAL

    static final Object[] CPIINVAL

  XQDY0041: Evaluation exception.

### NSATTCONS

    static final Object[] NSATTCONS

  XQDY0044: Evaluation exception.

### CPIXML

    static final Object[] CPIXML

  XQDY0064: Evaluation exception.

### COMINVALID

    static final Object[] COMINVALID

  XQDY0072: Evaluation exception.

### INVAL

    static final Object[] INVAL

  XQDY0074: Evaluation exception.

### IMPLSCHEMA

    static final Object[] IMPLSCHEMA

  XQST0009: Parsing exception.

### NSCONS

    static final Object[] NSCONS

  XQST0022: Parsing exception.

### XQUERYVER

    static final Object[] XQUERYVER

  XQST0031: Parsing exception.

### DUPLBASE

    static final Object[] DUPLBASE

  XQST0032: Parsing exception.

### DUPLNSDECL

    static final Object[] DUPLNSDECL

  XQST0033: Parsing exception.

### FUNCDEFINED

    static final Object[] FUNCDEFINED

  XQST0034: Parsing exception.

### DUPLCOLL

    static final Object[] DUPLCOLL

  XQST0038: Parsing exception.

### COLLWHICH

    static final Object[] COLLWHICH

  XQST0076: Parsing exception.

### FUNCDUPL

    static final Object[] FUNCDUPL

  XQST0039: Parsing exception.

### ATTDUPL

    static final Object[] ATTDUPL

  XQST0040: Parsing exception.

### NAMERES

    static final Object[] NAMERES

  XQST0045: Parsing exception.

### FUNCRES

    static final Object[] FUNCRES

  XQST0045: Parsing exception.

### DUPLMODULE

    static final Object[] DUPLMODULE

  XQST0047: Parsing exception.

### MODNS

    static final Object[] MODNS

  XQST0047: Parsing exception.

### VARDEFINE

    static final Object[] VARDEFINE

  XQST0049: Parsing exception.

### XPSTACK

    static final Object[] XPSTACK

  XQST0054: Parsing exception.

### VARMISSING

    static final Object[] VARMISSING

  XQST0054: Parsing exception.

### DUPLCOPYNS

    static final Object[] DUPLCOPYNS

  XQST0055: Parsing exception.

### NSEMPTY

    static final Object[] NSEMPTY

  XQST0085: Parsing exception.

### NOMODULE

    static final Object[] NOMODULE

  XQST0059: Parsing exception.

### NOMODULEFILE

    static final Object[] NOMODULEFILE

  XQST0059: Parsing exception.

### WRONGMODULE

    static final Object[] WRONGMODULE

  XQST0059: Parsing exception.

### FUNNONS

    static final Object[] FUNNONS

  XQST0060: Parsing exception.

### DUPLORD

    static final Object[] DUPLORD

  XQST0065: Parsing exception.

### DUPLNS

    static final Object[] DUPLNS

  XQST0066: Parsing exception.

### DUPLCONS

    static final Object[] DUPLCONS

  XQST0067: Parsing exception.

### DUPLBOUND

    static final Object[] DUPLBOUND

  XQST0068: Parsing exception.

### DUPLORDEMP

    static final Object[] DUPLORDEMP

  XQST0069: Parsing exception.

### NSDEF

    static final Object[] NSDEF

  XQST0070: Parsing exception.

### NOXMLNS

    static final Object[] NOXMLNS

  XQST0070: Parsing exception.

### DUPLNSDEF

    static final Object[] DUPLNSDEF

  XQST0071: Parsing exception.

### CIRCMODULE

    static final Object[] CIRCMODULE

  XQST0073: Parsing exception.

### IMPLVAL

    static final Object[] IMPLVAL

  XQST0075: Parsing exception.

### INVCOLL

    static final Object[] INVCOLL

  XQST0076: Parsing exception.

### NOPRAGMA

    static final Object[] NOPRAGMA

  XQST0079: Parsing exception.

### NSEMPTYURI

    static final Object[] NSEMPTYURI

  XQST0085: Parsing exception.

### XQUERYENC2

    static final Object[] XQUERYENC2

  XQST0087: Parsing exception.

### NSMODURI

    static final Object[] NSMODURI

  XQST0088: Parsing exception.

### VARDEFINED

    static final Object[] VARDEFINED

  XQST0089: Parsing exception.

### NOATTALL

    static final Object[] NOATTALL

  XQTY0024: Parsing exception.

### UPNOPAR

    static final Object[] UPNOPAR

  XUDY0009: XQuery Update dynamic exception.

### UPNOTCOPIED

    static final Object[] UPNOTCOPIED

  XUDY0014: XQuery Update dynamic exception.

### UPMULTREN

    static final Object[] UPMULTREN

  XUDY0015: XQuery Update dynamic exception.

### UPMULTREPL

    static final Object[] UPMULTREPL

  XUDY0016: XQuery Update dynamic exception.

### UPMULTREPV

    static final Object[] UPMULTREPV

  XUDY0017: XQuery Update dynamic exception.

### UPNOPAR2

    static final Object[] UPNOPAR2

  XUDY0021: XQuery Update dynamic exception.

### UPATTDUPL

    static final Object[] UPATTDUPL

  XUDY0021: XQuery Update dynamic exception.

### UPNSCONFL

    static final Object[] UPNSCONFL

  XUDY0023: XQuery Update dynamic exception.

### UPNSCONFL2

    static final Object[] UPNSCONFL2

  XUDY0024: XQuery Update dynamic exception.

### UPSEQEMP

    static final Object[] UPSEQEMP

  XUDY0027: XQuery Update dynamic exception.

### UPPAREMPTY

    static final Object[] UPPAREMPTY

  XUDY0029: XQuery Update dynamic exception.

### UPATTELM

    static final Object[] UPATTELM

  XUDY0030: XQuery Update dynamic exception.

### UPURIDUP

    static final Object[] UPURIDUP

  XUDY0031: XQuery Update dynamic exception.

### UPNOT

    static final Object[] UPNOT

  XUST0001: Parsing exception.

### UPEXPECTT

    static final Object[] UPEXPECTT

  XUST0002: Parsing exception.

### UPEXPECTF

    static final Object[] UPEXPECTF

  XUST0002: Parsing exception.

### DUPLREVAL

    static final Object[] DUPLREVAL

  XUST0003: Parsing exception.

### NOREVAL

    static final Object[] NOREVAL

  XUST0026: Parsing exception.

### UPFUNCTYPE

    static final Object[] UPFUNCTYPE

  XUST0028: Parsing exception.

### UPNOATTRPER

    static final Object[] UPNOATTRPER

  XUTY0004: XQuery Update type exception.

### UPTRGTYP

    static final Object[] UPTRGTYP

  XUTY0005: XQuery Update type exception.

### UPTRGTYP2

    static final Object[] UPTRGTYP2

  XUTY0006: XQuery Update type exception.

### UPTRGDELEMPT

    static final Object[] UPTRGDELEMPT

  XUTY0007: XQuery Update type exception.

### UPTRGMULT

    static final Object[] UPTRGMULT

  XUTY0008: XQuery Update type exception.

### UPWRELM

    static final Object[] UPWRELM

  XUTY0010: XQuery Update type exception.

### UPWRATTR

    static final Object[] UPWRATTR

  XUTY0011: XQuery Update type exception.

### UPWRTRGTYP

    static final Object[] UPWRTRGTYP

  XUTY0012: XQuery Update type exception.

### UPCOPYMULT

    static final Object[] UPCOPYMULT

  XUTY0013: XQuery Update type exception.

### UPATTELM2

    static final Object[] UPATTELM2

  XUTY0022: XQuery Update type exception.

### OPTDESC

    static final String OPTDESC

  Optimization info.

  See Also:
    Constant Field Values

### OPTPRE

    static final String OPTPRE

  Optimization info.

  See Also:
    Constant Field Values

### OPTWRITE

    static final String OPTWRITE

  Optimization info.

  See Also:
    Constant Field Values

### OPTFALSE

    static final String OPTFALSE

  Optimization info.

  See Also:
    Constant Field Values

### OPTTRUE

    static final String OPTTRUE

  Optimization info.

  See Also:
    Constant Field Values

### OPTTEXT

    static final String OPTTEXT

  Optimization info.

  See Also:
    Constant Field Values

### OPTSIMPLE

    static final String OPTSIMPLE

  Optimization info.

  See Also:
    Constant Field Values

### OPTFLWOR

    static final String OPTFLWOR

  Optimization info.

  See Also:
    Constant Field Values

### OPTWHERE

    static final String OPTWHERE

  Optimization info.

  See Also:
    Constant Field Values

### OPTVAR

    static final String OPTVAR

  Optimization info.

  See Also:
    Constant Field Values

### OPTRED

    static final String OPTRED

  Optimization info.

  See Also:
    Constant Field Values

### OPTNAME

    static final String OPTNAME

  Optimization info.

  See Also:
    Constant Field Values

### OPTTXTINDEX

    static final String OPTTXTINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTATVINDEX

    static final String OPTATVINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTFTXINDEX

    static final String OPTFTXINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTRNGINDEX

    static final String OPTRNGINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTEMPTY

    static final String OPTEMPTY

  Optimization info.

  See Also:
    Constant Field Values

### OPTNOINDEX

    static final String OPTNOINDEX

  Optimization info.

  See Also:
    Constant Field Values

### OPTBIND

    static final String OPTBIND

  Optimization info.

  See Also:
    Constant Field Values

### OPTCHILD

    static final String OPTCHILD

  Optimization info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD